# TODO:
# - package Bento4 and use system one

%define		kodi_ver	21
%define		next_kodi_ver	%(echo $((%{kodi_ver}+1)))
%define		codename	Omega
%define		addon		inputstream.adaptive

%define		bento4_ver	1.6.0-641-Omega

Summary:	Kodi InputStream addon for several manifest types
Name:		kodi-addon-inputstream-adaptive
Version:	%{kodi_ver}.4.10
Release:	1
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	https://github.com/xbmc/inputstream.adaptive/archive/%{version}-%{codename}/%{version}-%{codename}.tar.gz
# Source0-md5:	2a49be1a144ad76b93faeca428da467f
Source1:	https://github.com/xbmc/Bento4/archive/%{bento4_ver}/Bento4-%{bento4_ver}.tar.gz
# Source1-md5:	77b1246f0d738ee4f2006c27eb48d3c8
Patch0:		bento4-hash.patch
URL:		https://github.com/xbmc/inputstream.adaptive
BuildRequires:	cmake >= 3.10
BuildRequires:	expat-devel
BuildRequires:	kodi-devel >= %{kodi_ver}
BuildRequires:	kodi-devel < %{next_kodi_ver}
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	pugixml-devel
BuildRequires:	rapidjson-devel
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	kodi >= %{kodi_ver}
Requires:	kodi < %{next_kodi_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kodi InputStream addon for several manifest types

%prep
%setup -q -n %{addon}-%{version}-%{codename}
%patch0 -p1

install -d build/download
cp -p %{SOURCE1} build/download/%{bento4_ver}.tar.gz

%build
%cmake -B build \
	-DBUILD_TESTING:BOOL=OFF \
	-DENABLE_INTERNAL_BENTO4:BOOL=ON
%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/kodi/addons/%{addon}
%attr(755,root,root) %{_libdir}/kodi/addons/%{addon}/%{addon}.so.%{version}
%attr(755,root,root) %ghost %{_libdir}/kodi/addons/%{addon}/%{addon}.so.21.0
%ifarch aarch64
%attr(755,root,root) %{_libdir}/kodi/addons/%{addon}/libcdm_aarch64_loader.so
%endif
%dir %{_datadir}/kodi/addons/%{addon}
%{_datadir}/kodi/addons/%{addon}/addon.xml
%{_datadir}/kodi/addons/%{addon}/changelog.txt
%{_datadir}/kodi/addons/%{addon}/fanart.jpg
%{_datadir}/kodi/addons/%{addon}/icon.png
%{_datadir}/kodi/addons/%{addon}/resources
%changelog
* Tue Jun 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kodi-addon-inputstream-adaptive.git;a=log;h=master

* Mon Jun 24 2024 Jan Palus <atler@pld-linux.org> 76c175c
- up to 21.4.10

* Thu May 30 2024 Jan Palus <atler@pld-linux.org> 6bff243
- up to 21.4.9

* Sun May 19 2024 Jan Palus <atler@pld-linux.org> f06d48a
- up to 21.4.8

* Thu May 09 2024 Jan Palus <atler@pld-linux.org> f351bc5
- up to 21.4.7

* Thu May 02 2024 Jan Palus <atler@pld-linux.org> 99a5d40
- up to 21.4.6

* Sat Apr 13 2024 Jan Palus <atler@pld-linux.org> 93d9eb0
- up to 21.4.5

* Thu Apr 11 2024 Jan Palus <atler@pld-linux.org> b613c84
- cdm loader lib is not %ghost

* Sun Apr 07 2024 Jan Palus <atler@pld-linux.org> 45e996e
- up to 21.4.4

* Sun Nov 12 2023 Jan Rękorajski <baggins@pld-linux.org> dcab112
- update bento4

* Sun Nov 12 2023 Jan Rękorajski <baggins@pld-linux.org> 36f5b51
- up to 21.3.1

* Thu Nov 02 2023 Jan Palus <atler@pld-linux.org> d0d27fb
- up to 20.3.14

* Fri Sep 22 2023 Jan Palus <atler@pld-linux.org> 4502b01
- up to 20.3.13

* Sat Aug 26 2023 Jan Palus <atler@pld-linux.org> 5f39322
- up to 20.3.12

* Tue Jul 18 2023 Jan Palus <atler@pld-linux.org> 09f3f53
- up to 20.3.11

* Tue May 30 2023 Jan Palus <atler@pld-linux.org> 16b1156
- up to 20.3.9

* Fri May 12 2023 Jan Palus <atler@pld-linux.org> 7464ccb
- up to 20.3.8

* Sun May 07 2023 Jan Palus <atler@pld-linux.org> 838f5d1
- up to 20.3.7

* Wed Apr 05 2023 Jan Palus <atler@pld-linux.org> 9a4d9f1
- up to 20.3.6

* Fri Mar 10 2023 Jan Palus <atler@pld-linux.org> 04f986e
- up to 20.3.5

* Thu Feb 23 2023 Jan Palus <atler@pld-linux.org> 40ecf68
- up to 20.3.4

